[graphics] Enable ICL

Bug #1825940 reported by quanxian on 2019-04-23
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
intel
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen

Bug Description

[Impact]
Ice Lake (ICL) graphics needs to be enabled for OEM OSP1 image which is based on 18.04.3 graphics stack with linux-oem-osp1 kernel.

[Test case]
The usual desktop usage, graphics tests etc.

[Regression potential]
Linux-oem-osp1 kernel is a new kernel used only on new OEM enablements, and it can't regress any currently running system.

Mesa backports are limited to ICL, so they shouldn't regress earlier generations either.

--

Original description:

ICL graphics is not enabled in 19.04.
if you want to use 19.04 on ICL platform, you need do like this

Add kernel option
i915.alpha_support=1

Target Release:19.10
Target Kernel: 5.2
Target Mesa: 19.1

quanxian (quanxian-wang) on 2019-04-23
Changed in intel:
status: New → Fix Committed
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
quanxian (quanxian-wang) wrote :

2909bf0562693b39edda06359ea265fac877f937

quanxian (quanxian-wang) wrote :

new media will not supported in 19.04 as default. if want to do test, have to enable graphics firstly.

Timo Aaltonen (tjaalton) wrote :

That commit is not in 5.1, but will be in 5.2.

Timo Aaltonen (tjaalton) on 2019-04-29
affects: linux → linux (Ubuntu)
summary: - ICL is not enabled in 19.04
+ [graphics] Enable ICL
Changed in linux (Ubuntu):
status: New → Confirmed
quanxian (quanxian-wang) on 2019-05-06
no longer affects: linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1825940

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Timo Aaltonen (tjaalton) on 2019-05-06
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Timo Aaltonen (tjaalton) on 2019-05-28
Changed in linux (Ubuntu Bionic):
status: New → Invalid
Timo Aaltonen (tjaalton) wrote :

backported patches for mesa 19.0:

f8c3f408a6026f2 intel/genxml: Update MI_ATOMIC genxml definition.
11518384c465b9f i965: Re-enable fast color clears for GEN11.
9175c7058efb13d intel/blorp: Make blorp update the clear color in gen11.
232c0f64891e2f9 isl: Set ClearColorConversionEnable.
f2041d2a9266ec1 intel/isl: Resize clear color buffer to full cacheline
ff642fb0e6523db intel/compiler/fs/icl: Use dummy masked urb write for tess eval
ea42ba36b936e26 intel/compiler/icl: Use tcs barrier id bits 24:30 instead of 24:27
2be60e0c73ed155 anv/icl: Add WA_2204188704 to disable pixel shader panic dispatch
85ecd14ef6a084f i965/icl: Add WA_2204188704 to disable pixel shader panic dispatch

Timo Aaltonen (tjaalton) on 2019-05-28
description: updated
Timo Aaltonen (tjaalton) on 2019-05-28
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.0.5-0ubuntu1

---------------
mesa (19.0.5-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release.
  * icl-backport.diff: Backport support for fast color clears and
    bugfixes for Ice Lake (LP: #1825940).

 -- Timo Aaltonen <email address hidden> Tue, 28 May 2019 11:54:16 +0300

Changed in mesa (Ubuntu):
status: New → Fix Released
Rex Tsai (chihchun) on 2019-06-13
tags: added: icelake
Timo Aaltonen (tjaalton) wrote :

linux-oem-osp1 has backports in bionic-proposed

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
quanxian (quanxian-wang) wrote :

update for icl latest commmits compared with 2019/06/17
--- icl_commit_20190617.list_kernv_drm-tip 2019-06-17 17:10:09.330369948 +0800
+++ icl_commit_20190626.list_kernv_drm-tip 2019-06-26 08:10:11.102281024 +0800
@@ -1,6 +1,23 @@
-f4071997f1d,drm/i915/ehl: Update MOCS table for EHL,2019-05-30 16:40:14,not in drm-intel-next/linux-upstream
-cc49abc2460,drm/i915: Add Wa_1409120013:icl,ehl,2019-06-12 11:36:31,not in drm-intel-next/linux-upstream
-326fb6dd148,drm/i915/dmc: protect against reading random memory,2019-06-05 16:55:35,next-20190613
+fc25441c7b9,drm/i915/ehl: Add one additional PCH ID to MCC,2019-06-21 08:18:47,not in drm-intel-next/linux-upstream
+8dcfdfb4501,drm/i915/perf: fix ICL perf register offsets,2019-06-10 11:19:14,not in drm-intel-next/linux-upstream
+f9a393875d3,drm/i915: Disable SAMPLER_STATE prefetching on all Gen11 steppings.,2019-06-25 10:06:55,not in drm-intel-next/linux-upstream
+683d672c425,drm/i915/ehl/dsi: Enable AFE over PPI strap,2019-06-19 16:31:34,next-20190621
+6a7bafe8fdb,drm/i915/ehl/dsi: Set lane latency optimization for DW1,2019-06-19 16:31:33,next-20190621
+bdeb18dbcf8,drm/i915/ehl: Allow combo PHY A to drive a third external display,2019-06-18 10:51:31,next-20190620
+patches series of Update whitelist support for new hardware,,,
+1/4 5380d0b781c ADDED!,drm/i915: Support flags in whitlist WAs,2019-06-17 18:01:05,next-20190619
+2/4 ebd2de47a19 ADDED!,drm/i915: Support whitelist workarounds on all engines,2019-06-17 18:01:06,next-20190619
+3/4 7b3d4063109,drm/i915: Add whitelist workarounds for ICL,2019-06-17 18:01:07,next-20190619
+4/4 767662bc62a ADDED!,drm/i915: Update workarounds selftest for read only regs,2019-06-17 18:01:08,next-20190619
+c6f7acb80ab,drm/i915/ehl: Introduce Mule Creek Canyon PCH,2019-06-14 17:42:10,next-20190619
+patches series of Enable Multi-segmented-gamma for ICL,,,
+1/4 89a72304f2f,drm/i915: Change gamma/degamma_lut_size data type to u32,2019-06-12 12:14:57,next-20190619
+2/4 377c70edd48,drm/i915/icl: Add register definitions for Multi Segmented gamma,2019-06-12 12:14:58,next-20190619
+3/4 eec0778ec42 ADDED!,drm/i915: Rename ivb_load_lut_10_max,2019-06-12 12:14:59,next-20190619
+4/4 02ae8ba9664,drm/i915/icl: Add Multi-segmented gamma support,2019-06-12 12:15:00,next-20190619
+f4071997f1d,drm/i915/ehl: Update MOCS table for EHL,2019-05-30 16:40:14,next-20190617
+cc49abc2460,drm/i915: Add Wa_1409120013:icl,ehl,2019-06-12 11:36:31,next-20190617
+326fb6dd148,drm/i915/dmc: protect against reading random memory,2019-06-05 16:55:35,v5.2-rc5

quanxian (quanxian-wang) wrote :
quanxian (quanxian-wang) wrote :

20170702 update of ICL kernel (drm-tip)
--- icl_commit_20190626.list_kernv_drm-tip 2019-06-26 08:10:11.102281024 +0800
+++ icl_commit_20190702.list_kernv_drm-tip 2019-07-02 13:55:00.666216695 +0800
@@ -1,6 +1,10 @@
-fc25441c7b9,drm/i915/ehl: Add one additional PCH ID to MCC,2019-06-21 08:18:47,not in drm-intel-next/linux-upstream
-8dcfdfb4501,drm/i915/perf: fix ICL perf register offsets,2019-06-10 11:19:14,not in drm-intel-next/linux-upstream
-f9a393875d3,drm/i915: Disable SAMPLER_STATE prefetching on all Gen11 steppings.,2019-06-25 10:06:55,not in drm-intel-next/linux-upstream
+63c9dae71dc,drm/i915/ehl: Add voltage level requirement table,2019-06-25 18:40:53,next-20190628
+6e63790efdf,drm/i915/ehl: Remove unsupported cd clocks,2019-06-25 18:40:52,next-20190628
+9c811fce8a4,drm/i915/icl: Add new supported CD clocks,2019-06-25 18:40:51,next-20190628
+9a6a644096a,drm/i915/ehl: Add missing VECS engine,2019-06-14 14:37:49,next-20190628
+fc25441c7b9,drm/i915/ehl: Add one additional PCH ID to MCC,2019-06-21 08:18:47,next-20190628
+8dcfdfb4501,drm/i915/perf: fix ICL perf register offsets,2019-06-10 11:19:14,next-20190628
+f9a393875d3,drm/i915: Disable SAMPLER_STATE prefetching on all Gen11 steppings.,2019-06-25 10:06:55,next-20190628

Timo Aaltonen (tjaalton) wrote :

thanks

These lists also have entries for EHL, but it's beyond our scope to support ICL, unless there are common commits needed for both.

Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1012.13

---------------
linux-oem-osp1 (5.0.0-1012.13) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1012.13 -proposed tracker (LP: #1833932)

  * Add DMIC support to oem-kernel (LP: #1826181)
    - ASoC: SOF: Intel: hda: reduce ifdef usage for hda
    - ASoC: SOF: Intel: hda: Enable jack detection in sof hda driver
    - Revert "ASoC: SOF: Intel: hda: switch to use legacy IRQ mode"
    - ASoC: SOF: Intel: hda: modify stream interrupt handler
    - ASoC: SOF: Intel: fix warning for unused variable in non-HDA builds
    - ASoC: hdac_hdmi: report codec link up/down status to bus
    - ASoC: SOF: add runtime idle callback
    - ASoC: SOF: Intel: implement runtime idle for CNL/APL
    - ASoC: SOF: dont wake dsp up in kcontrol IO
    - ASoC: codec: hdac_hdmi: fix pin connections at cvt enable
    - ALSA: hda: fix headphone detection failed

  * [SRU][B/B-OEM/B-OEM-OSP-1/C/D/E] Add trackpoint middle button support of 2
    new thinpads (LP: #1833637)
    - Input: elantech - enable middle button support on 2 ThinkPads

  * [graphics] Enable ICL (LP: #1825940)
    - drm/i915/icl: Add WaDisableBankHangMode
    - drm/i915/icl: Adding few more device IDs for Ice Lake
    - drm/i915/cfl: Adding another PCI Device ID.
    - drm/i915: Accept alloc_size == blocks
    - drm/i915: Don't pass plane state to skl_compute_plane_wm()
    - drm/i915: Extract skl_compute_wm_params()
    - drm/i915: Allocate enough DDB for the cursor
    - drm/i915: Make sure cursor has enough ddb for the selected wm level
    - drm/i915: Keep plane watermarks enabled more aggressively
    - drm/i915: Move some variables to tighter scope
    - drm/i915: Don't pass pipe_wm around so much
    - drm/i915: Inline skl_update_pipe_wm() into its only caller
    - drm/i915: Fix PSR2 selective update corruption after PSR1 setup
    - drm/i915: Populate pipe_offsets[] & co. accurately
    - drm/i915: Extract ilk_lut_10()
    - drm/i915: Don't use split gamma when we don't have to
    - drm/i915: Implement split/10bit gamma for ivb/hsw
    - drm/i915: Add 10bit LUT for ilk/snb
    - drm/i915: Add "10.6" LUT mode for i965+
    - drm/i915: Expose the legacy LUT via the GAMMA_LUT/GAMMA_LUT_SIZE props on
      gen2/3
    - drm/i915: Expose full 1024 LUT entries on ivb+
    - drm/i915: Introduce struct class_instance for engines across the uAPI
    - drm/i915: Fix skl+ max plane width
    - drm/i915: Rename skl_wa_clkgating to the actual WA
    - drm/i915: Fix the inconsistent RMW in WA 827
    - drm/i915/icl: Fix clockgating issue when using scalers
    - drm/i915: Always try to reset the GPU on takeover
    - drm/i915: Add Wa_1409120013:icl,ehl
    - drm/i915/icl: use ranges for voltage level lookup
    - drm/i915/cnl: use ranges for voltage level lookup
    - drm/i915/skl: use ranges for voltage level lookup

  * Sometimes touchpad automatically trigger double click (LP: #1833484)
    - SAUCE: i2c: designware: Add disable runtime pm quirk

  * Add pointstick support on HP ZBook 17 G5 (LP: #1833387)
    - Revert "HID: multitouch: Support ALPS PTP stick with pid 0x120A"
    - SAUCE: HID: multitouch: Add pointstick support for ALPS Touchp...

Read more...

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
quanxian (quanxian-wang) wrote :
Download full text (5.0 KiB)

--- icl_commit_20190702.list_kernv_drm-tip 2019-07-02 13:55:00.666216695 +0800
+++ icl_commit_20190709.list_kernv_drm-tip 2019-07-09 13:40:15.070144631 +0800
@@ -1,13 +1,52 @@
+patches series of drm/i915: Random plane stuff,,,
+1/6 26443a4bc44 ADDED!,drm/i915: Add windowing for primary planes on gen2/3 and chv,2019-07-03 23:08:19,next-20190708
+2/6 423ee8e99aa ADDED!,drm/i915: Disable sprite gamma on ivb-bdw,2019-07-03 23:08:20,next-20190708
+3/6 94e15723df8 ADDED!,drm/i915: Program plane gamma ramps,2019-07-03 23:08:21,next-20190708
+4/6 d56e823ac32 ADDED!,drm/i915: Deal with cpp==8 for g4x watermarks,2019-07-03 23:08:22,next-20190708
+5/6 94e35ce2217 ADDED!,drm/i915: Cosmetic fix for skl+ plane switch statement,2019-07-03 23:08:23,next-20190708
+6/6 3e69db291bd,drm/i915: Clean up skl vs. icl plane formats,2019-07-03 23:08:24,next-20190708
+patches series of More mmio and intel_gt cleanups and refactorings,,,
+1/3 9b77011e412 ADDED!,drm/i915: Rework some interrupt handling functions to take intel_gt,2019-07-04 13:17:54,next-20190708
+2/3 f0818984fa5,drm/i915: Remove some legacy mmio accessors from interrupt handling,2019-07-04 13:17:55,next-20190708
+3/3 NOT-IN-UPSTREAM,drm/i915: Move dev_priv->pm_i{m,e}r into intel_gt,,
+56e9371bc3f,drm/i915: Deal with machines that expose less than three QGV points,2019-06-06 15:42:10,next-20190708
+8e9ecb3e1e3,drm/i915/display: Handle lost primary_port across suspend,2019-07-02 15:09:50,next-20190708
+patches series of drm/i915: CTS fixes,,,
+1/3 361b6905132 ADDED!,drm/i915: fix whitelist selftests with readonly registers,2019-06-29 14:13:50,next-20190703
+2/3 2c903da50f5 ADDED!,drm/i915: whitelist PS_(DEPTH|INVOCATION)_COUNT,2019-06-28 15:07:19,next-20190703
+3/3 3fe0107e45a,drm/i915/icl: whitelist PS_(DEPTH|INVOCATION)_COUNT,2019-06-28 15:07:20,next-20190703
+4a8134d57c6,drm/i915/icl: Drop port parameter to icl_get_combo_buf_trans(),2019-06-25 17:03:48,next-20190703
+patches series of drm/i915: Fix TypeC port mode switching,,,
+01/23 39a5883f867,drm/i915/icl: Add support to read out the TBT PLL HW state,2019-06-28 17:36:13,next-20190703
+02/23 28212321622 ADDED!,drm/i915: Tune down WARNs about TBT AUX power well enabling,2019-06-28 17:36:14,next-20190703
+03/23 bc85328ff43,drm/i915: Move the TypeC port handling code to a separate file,2019-06-28 17:36:15,next-20190703
+04/23 e9b7e1422d4 ADDED!,drm/i915: Sanitize the terminology used for TypeC port modes,2019-06-28 17:36:16,next-20190703
+05/23 3b2ed431342 ADDED!,drm/i915: Don't enable the DDI-IO power in the TypeC TBT-alt mode,2019-06-28 17:36:17,next-20190703
+06/23 29ae36abf08 ADDED!,drm/i915: Fix the TBT AUX power well enabling,2019-06-28 17:36:18,next-20190703
+07/23 dd7239c545b ADDED!,drm/i915: Use the correct AUX power domain in TypeC TBT-alt mode,2019-06-28 17:36:19,next-20190703
+08/23 ab7bc4e1a55,drm/i915: Unify the TypeC port notation in debug/error messages,2019-06-28 17:36:20,next-20190703
+09/23 c905eb28bd3,drm/i915: Factor out common parts from TypeC port handling functions,2019-06-28 17:36:21,next-20190703
+10/23 ddec362724f ADDED!,drm/i915: Wait for TypeC PHY complete flag to clear in safe mode,2019-06-28 17:36:22,next-20190703...

Read more...

Hello quanxian, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/19.0.8-0ubuntu0~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed
Timo Aaltonen (tjaalton) wrote :

eoan has 5.2

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Timo Aaltonen (tjaalton) wrote :

looks like a patch to disable softpin on mesa (to fix bug #1836721) actually regressed ICL which needs softpin... so now softpin needs to be backported to bionic kernel (4.15) so that the mesa revert can be dropped

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → In Progress
Timo Aaltonen (tjaalton) wrote :

while ICL support is broken right now, and the version in proposed doesn't change that, I'll still mark this verified so that the current version can move to -updates

I've verified ICL support without the softpin revert, and it's fine.

tags: added: verification-done-bionic
removed: verification-needed-bionic
tags: added: verification-done
removed: verification-needed
Changed in mesa (Ubuntu Bionic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1015.16

---------------
linux-oem-osp1 (5.0.0-1015.16) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1015.16 -proposed tracker (LP: #1836856)

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device

  * First click on Goodix touchpad doesn't be recognized after runtime suspended
    (LP: #1836836)
    - SAUCE: i2c: designware: add G3 3590 into i2c quirk

 -- Timo Aaltonen <email address hidden> Thu, 18 Jul 2019 11:29:53 +0300

Changed in linux-oem-osp1 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.0.8-0ubuntu0~18.04.1

---------------
mesa (19.0.8-0ubuntu0~18.04.1) bionic; urgency=medium

  * New upstream bugfix release. (LP: #1831700)
  * icl-backport.diff: Backport support for fast color clears and
    bugfixes for Ice Lake (LP: #1825940).
  * radeon-rework-gfx9-scissor-workaround.diff: Dropped, upstream.

 -- Timo Aaltonen <email address hidden> Fri, 19 Jul 2019 11:30:04 +0300

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mesa has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers